<template>
  <base-card class="grid grid--reply">
    <textarea
      v-model="content"
      class="reply--textarea"
      placeholder="Add a comment..."
    ></textarea>
    <base-avatar
      class="reply--avatar"
      :name="currentUser.image.webp"
    ></base-avatar>
    <base-button @click="addNewReply" class="reply--button" type="reply"
      >reply</base-button
    >
  </base-card>
</template>

<script>
export default {
  props: ["commentId", "replyId"],
  inject: ["addReply", "currentUser"],
  data() {
    return {
      content: "",
    };
  },
  methods: {
    addNewReply() {
      if (this.content.trim() === "") {
        // this.inputIsInvalid = true;
        return;
      }
      this.addReply(this.commentId, this.replyId, this.content);
      this.$emit("added", true);
    },
  },
};
</script>

<style scoped>
.grid--reply {
  grid-template-areas:
    "textarea textarea"
    "avatar button";
}
@media (min-width: 47em) {
  .grid--reply,
  .grid--footer {
    grid-template-areas:
      "avatar textarea  button"
      "...... textarea ....";
    grid-template-columns: max-content 1fr min-content;
  }
}
.reply--textarea {
  grid-area: textarea;
}
.reply--avatar {
  grid-area: avatar;
}
.reply--button {
  grid-area: button;
  margin-left: auto;
}
</style>
